Package org.eclipse.ui.ide.dialogs

# Interface IElementFilter

public interface IElementFilter
The `IElementFilter` is a interface that defines the API for filtering the current selection of a `ResourceTreeAndListGroup` in order to find a subset to update as the result of a type filtering.

Since:
  3.10
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`filterElements(Object[] elements, IProgressMonitor monitor)`
Callback to filter the given array of objects
`void`
`filterElements(Collection elements, IProgressMonitor monitor)`
Callback to filter the given collection of elements

## Method Details

### filterElements

void filterElements(Collection elements, IProgressMonitor monitor) throws InterruptedException
Callback to filter the given collection of elements

Parameters:
  `elements` - the raw list of elements to filter
  `monitor` - the progress monitor
Throws:
  `InterruptedException` - thrown if the monitor is cancelled

### filterElements

void filterElements(Object[] elements, IProgressMonitor monitor) throws InterruptedException
Callback to filter the given array of objects

Parameters:
  `elements` - the raw array of elements to filter
  `monitor` - the progress monitor
Throws:
  `InterruptedException` - thrown if the monitor is cancelled